#Region "Copyright Syncfusion Inc. 2001 - 2006"'
'  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. '
#End Region
'Imports Microsoft.VisualBasic
'Imports System
'Imports System.Collections
'Imports System.ComponentModel
'Imports System.Data
'Imports System.Drawing
'Imports System.Web
'Imports System.Web.SessionState
'Imports System.Web.UI
'Imports System.Web.UI.WebControls
'Imports System.Web.UI.HtmlControls
'Imports Syncfusion.XlsIO
Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports Syncfusion.XlsIO
Imports System.Data
Imports System.Configuration.ConfigurationManager

Partial Class ReadFormula : Inherits System.Web.UI.Page

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
        'New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].        
        'The instantiation process consists of two steps.        
        'Step 1 : Instantiate the spreadsheet creation engine.        
        Dim excelEngine As ExcelEngine = New ExcelEngine()
        'Step 2 : Instantiate the excel application object.        
        Dim application As IApplication = excelEngine.Excel
        'Open an existing spreadsheet which will be used as a template for generating the new spreadsheet.        
        'After opening, the workbook object represents the complete in-memory object model of the template spreadsheet.        
        Dim workbook As IWorkbook = excelEngine.Excel.Workbooks.Open("C:\SampleOne.xls")
        'The first worksheet object in the worksheets collection is accessed.        
        Dim sheet As IWorksheet = workbook.Worksheets(0)
        'Read computed Formula Value.         
        Me.txtFomulaNumber.Text = sheet.Range("J2").FormulaNumberValue.ToString()
        'Read Formula        
        Me.txtFormula.Text = sheet.Range("J2").Formula
        'Close the workbook.        
        workbook.Close()
        'No exception will be thrown if there are unsaved workbooks. No use here since we are        
        ' saving the workbook.        
        excelEngine.ThrowNotSavedOnDestroy = False
        excelEngine.Dispose()
    End Sub
End Class